## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMVariableRequest

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMRequest
          org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMVariableRequest

All Implemented Interfaces:
  java.io.Serializable

    public class VMVariableRequest

extends VMRequest
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`long` `frameID`
`boolean` `includeChildVars`
`java.lang.String` `variableURI`

Constructor Summary
`VMVariableRequest(long frameID, java.lang.String variableURI)`
`VMVariableRequest(long frameID, java.lang.String variableURI, boolean includeChildVars)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### variableURI

    public final java.lang.String variableURI

### frameID

    public final long frameID

### includeChildVars

    public final boolean includeChildVars

Constructor Detail

### VMVariableRequest

    public VMVariableRequest(long frameID,
                             java.lang.String variableURI,
                             boolean includeChildVars)

### VMVariableRequest

    public VMVariableRequest(long frameID,
                             java.lang.String variableURI)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.